// atoms.ts
import { atom } from 'jotai'

export const emailVerificationModalAtom = atom<{
  open: boolean
  email?: string | null
  code?: string | null
}>({
  open: false,
  email: null,
  code: null
})

export const codeModalAtom = atom<{
  open: boolean
  code?: string | null
  email?: string | null
}>({
  open: false,
  code: null,
  email: null
})

export const passwordConfirmationModal = atom<{
  open: boolean
  code: string | null
  email: string | null
}>({
  open: false,
  code: null,
  email: null
})
